# Generated by Django 4.2.2 on 2023-06-29 07:34

from django.db import migrations, models


def migrate_circles_to_post_is_public(apps, schema_editor):
    Post = apps.get_model("openbook_posts", "Post")
    for instance in Post.objects.filter(circles__id="00000000-0000-0000-0000-000000000001"):
        instance.is_public = True
        instance.save()


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_circles", "0002_initial"),
        ("openbook_posts", "0014_alter_postmedia_options"),
    ]

    operations = [
        migrations.AddField(
            model_name="post",
            name="is_public",
            field=models.BooleanField(db_index=True, default=False),
        ),
        migrations.RunPython(migrate_circles_to_post_is_public)
    ]
