# Generated by Django 4.1.3 on 2023-02-13 13:31

from django.db import migrations, models

def forwards_func(apps, schema_editor):
    SDGModel = apps.get_model("openbook_terms", "SDG")
    db_alias = schema_editor.connection.alias
    
    SDGModel.objects.using(db_alias).filter(slug="no-poverty").update(number=1)
    SDGModel.objects.using(db_alias).filter(slug="zero-hunger").update(number=2)
    SDGModel.objects.using(db_alias).filter(slug="good-health-and-well-being").update(number=3)
    SDGModel.objects.using(db_alias).filter(slug="quality-education").update(number=4)
    SDGModel.objects.using(db_alias).filter(slug="gender-equality").update(number=5)
    SDGModel.objects.using(db_alias).filter(slug="clean-water-and-sanitation").update(number=6)
    SDGModel.objects.using(db_alias).filter(slug="affordable-and-clean-energy").update(number=7)
    SDGModel.objects.using(db_alias).filter(slug="decent-work-and-economic-growth").update(number=8)
    SDGModel.objects.using(db_alias).filter(slug="industry-innovation-and-infrastructure").update(number=9)
    SDGModel.objects.using(db_alias).filter(slug="reduced-inequality").update(number=10)
    SDGModel.objects.using(db_alias).filter(slug="sustainable-cities-and-communities").update(number=11)
    SDGModel.objects.using(db_alias).filter(slug="responsible-consumption-and-production").update(number=12)
    SDGModel.objects.using(db_alias).filter(slug="climate-action").update(number=13)
    SDGModel.objects.using(db_alias).filter(slug="life-below-water").update(number=14)
    SDGModel.objects.using(db_alias).filter(slug="life-on-land").update(number=15)
    SDGModel.objects.using(db_alias).filter(slug="peace-justice-and-strong-institutions").update(number=16)
    SDGModel.objects.using(db_alias).filter(slug="partnerships-to-achieve-the-goal").update(number=17)


class Migration(migrations.Migration):


    dependencies = [
        ("openbook_terms", "0004_alter_sdg_slug_alter_skill_slug_alter_topic_slug"),
    ]

    operations = [
        migrations.AddField(
            model_name="sdg",
            name="number",
            field=models.IntegerField(default=False, null=False,  verbose_name="number"),
        ),
        migrations.RunPython(forwards_func,),
    ]
